## qdacco 0.4

=== Makefile ===
#############################################################################
# Makefile for building: qdacco
# Generated by qmake (1.07a) (Qt 3.3.6) on: Wed Apr 12 18:58:09 2006
# Project:  qdacco.pro
# Template: app
# Command: $(QMAKE) -o Makefile qdacco.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -Wall -W -O2 -D_REENTRANT  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT
CXXFLAGS = -pipe -Wall -W -O2 -D_REENTRANT  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/share/qt3/mkspecs/default -I. -I. -I/mnt/dades/sistema/usr/include/qt3
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS) -L/usr/share/qt3/lib -L/usr/X11R6/lib -lqt-mt -lXext -lX11 -lm -lpthread
AR       = ar cqs
RANLIB   = 
MOC      = /usr/share/qt3/bin/moc
UIC      = /usr/share/qt3/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = ./

####### Files

HEADERS = auxiliar.h \
		configura.ui.h \
		ppal.ui.h \
		StructureParser.h \
		worddata.h \
		qm_files.h \
		connection.h
SOURCES = main.cpp \
		StructureParser.cpp \
		worddata.cpp \
		connection.cpp
OBJECTS = main.o \
		StructureParser.o \
		worddata.o \
		connection.o \
		about.o \
		configura.o \
		ppal.o \
		suggeriment.o \
		qmake_image_collection.o
FORMS = about.ui \
		configura.ui \
		ppal.ui \
		suggeriment.ui
UICDECLS = about.h \
		configura.h \
		ppal.h \
		suggeriment.h
UICIMPLS = about.cpp \
		configura.cpp \
		ppal.cpp \
		suggeriment.cpp
SRCMOC   = moc_connection.cpp \
		moc_about.cpp \
		moc_configura.cpp \
		moc_ppal.cpp \
		moc_suggeriment.cpp
OBJMOC = moc_connection.o \
		moc_about.o \
		moc_configura.o \
		moc_ppal.o \
		moc_suggeriment.o
DIST	   = conf.pri \
		qdacco.pro
QMAKE_TARGET = qdacco
DESTDIR  = 
TARGET   = qdacco

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: qdacco.pro  /usr/share/qt3/mkspecs/default/qmake.conf conf.pri \
		/usr/share/qt3/lib/libqt-mt.prl
	$(QMAKE) -o Makefile qdacco.pro
qmake: 
	@$(QMAKE) -o Makefile qdacco.pro

dist: 
	@mkdir -p .tmp/qdacco && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/qdacco/ && $(COPY_FILE) --parents qdacco_ca.ts .tmp/qdacco/ && $(COPY_FILE) --parents images/editcopy.png images/editpaste.png images/find.png images/exit.png images/configure.png images/button_ok.png images/button_cancel.png images/fileopen.png images/help.png images/switch2.png images/qdacco.png images/close.png .tmp/qdacco/ && $(COPY_FILE) --parents about.ui.h configura.ui.h ppal.ui.h suggeriment.ui.h .tmp/qdacco/ && ( cd `dirname .tmp/qdacco` && $(TAR) qdacco.tar qdacco && $(GZIP) qdacco.tar ) && $(MOVE) `dirname .tmp/qdacco`/qdacco.tar.gz . && $(DEL_FILE) -r .tmp/qdacco

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

yaccclean:
lexclean:
clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS)
		-$(DEL_FILE) qmake_image_collection.cpp
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

main.o: main.cpp ppal.h \
		auxiliar.h \
		qm_files.h \
		StructureParser.h \
		worddata.h

StructureParser.o: StructureParser.cpp StructureParser.h \
		worddata.h

worddata.o: worddata.cpp worddata.h

connection.o: connection.cpp connection.h \
		auxiliar.h \
		ppal.h \
		StructureParser.h \
		worddata.h

about.h: about.ui 
	$(UIC) about.ui -o about.h

about.cpp: about.h about.ui about.ui.h 
	$(UIC) about.ui -i about.h -o about.cpp

configura.h: configura.ui 
	$(UIC) configura.ui -o configura.h

configura.cpp: configura.h configura.ui configura.ui.h 
	$(UIC) configura.ui -i configura.h -o configura.cpp

ppal.h: ppal.ui StructureParser.h \
		worddata.h
	$(UIC) ppal.ui -o ppal.h

ppal.cpp: ppal.h ppal.ui ppal.ui.h StructureParser.h \
		worddata.h
	$(UIC) ppal.ui -i ppal.h -o ppal.cpp

suggeriment.h: suggeriment.ui 
	$(UIC) suggeriment.ui -o suggeriment.h

suggeriment.cpp: suggeriment.h suggeriment.ui suggeriment.ui.h 
	$(UIC) suggeriment.ui -i suggeriment.h -o suggeriment.cpp

about.o: about.cpp about.ui.h \
		about.h

configura.o: configura.cpp configura.ui.h \
		configura.h

ppal.o: ppal.cpp ppal.ui.h \
		ppal.h

suggeriment.o: suggeriment.cpp suggeriment.ui.h \
		suggeriment.h

moc_connection.o: moc_connection.cpp  connection.h auxiliar.h \
		ppal.h \
		StructureParser.h \
		worddata.h

moc_about.o: moc_about.cpp  about.h 

moc_configura.o: moc_configura.cpp  configura.h 

moc_ppal.o: moc_ppal.cpp  ppal.h StructureParser.h \
		worddata.h

moc_suggeriment.o: moc_suggeriment.cpp  suggeriment.h 

moc_connection.cpp: $(MOC) connection.h
	$(MOC) connection.h -o moc_connection.cpp

moc_about.cpp: $(MOC) about.h
	$(MOC) about.h -o moc_about.cpp

moc_configura.cpp: $(MOC) configura.h
	$(MOC) configura.h -o moc_configura.cpp

moc_ppal.cpp: $(MOC) ppal.h
	$(MOC) ppal.h -o moc_ppal.cpp

moc_suggeriment.cpp: $(MOC) suggeriment.h
	$(MOC) suggeriment.h -o moc_suggeriment.cpp

qmake_image_collection.o: qmake_image_collection.cpp

qmake_image_collection.cpp: images/editcopy.png \
		images/editpaste.png \
		images/find.png \
		images/exit.png \
		images/configure.png \
		images/button_ok.png \
		images/button_cancel.png \
		images/fileopen.png \
		images/help.png \
		images/switch2.png \
		images/qdacco.png \
		images/close.png
	$(UIC)  -embed qdacco images/editcopy.png images/editpaste.png images/find.png images/exit.png images/configure.png images/button_ok.png images/button_cancel.png images/fileopen.png images/help.png images/switch2.png images/qdacco.png images/close.png -o qmake_image_collection.cpp

####### Install

install_target: all 
	@$(CHK_DIR_EXISTS) "$(INSTALL_ROOT)/mnt/dades/sistema/usr/local/bin/" || $(MKDIR) "$(INSTALL_ROOT)/mnt/dades/sistema/usr/local/bin/"
	-$(INSTALL_FILE) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/mnt/dades/sistema/usr/local/bin/$(QMAKE_TARGET)"
	-strip "$(INSTALL_ROOT)/mnt/dades/sistema/usr/local/bin/$(QMAKE_TARGET)"

uninstall_target: 
	-$(DEL_FILE) "$(INSTALL_ROOT)/mnt/dades/sistema/usr/local/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) "$(INSTALL_ROOT)/mnt/dades/sistema/usr/local/bin/"


install: install_target  

uninstall: uninstall_target
