## qdacco 0.6d

=== Makefile ===
#############################################################################
# Makefile for building: qdacco
# Generated by qmake (2.01a) (Qt 4.2.1) on: dc. ag. 1 12:20:50 2007
# Project:  qdacco.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile qdacco.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
LEX           = flex
YACC          = yacc
DEFINES       = -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT  $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT  $(DEFINES)
LEXFLAGS      = 
YACCFLAGS     = -d
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -I. -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtXml -lQtGui -lQtNetwork -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = configure.cpp \
		main.cpp \
		qdacco.cpp \
		StructureParser.cpp \
		StructureList.cpp \
		worddata.cpp \
		about.cpp \
		suggeriment.cpp \
		connection.cpp \
		auxiliar.cpp \
		mylineedit.cpp \
		mylistwidget.cpp moc_configure.cpp \
		moc_main.cpp \
		moc_about.cpp \
		moc_suggeriment.cpp \
		moc_connection.cpp \
		moc_textbrowser.cpp \
		moc_mylineedit.cpp \
		moc_mylistwidget.cpp \
		qrc_icons.cpp \
		qrc_translation.cpp
OBJECTS       = configure.o \
		main.o \
		qdacco.o \
		StructureParser.o \
		StructureList.o \
		worddata.o \
		about.o \
		suggeriment.o \
		connection.o \
		auxiliar.o \
		mylineedit.o \
		mylistwidget.o \
		moc_configure.o \
		moc_main.o \
		moc_about.o \
		moc_suggeriment.o \
		moc_connection.o \
		moc_textbrowser.o \
		moc_mylineedit.o \
		moc_mylistwidget.o \
		qrc_icons.o \
		qrc_translation.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		conf.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		qdacco.pro
QMAKE_TARGET  = qdacco
DESTDIR       = 
TARGET        = qdacco

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_configure.h ui_main.h ui_about.h ui_suggeriment.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: qdacco.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		conf.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf
	$(QMAKE) -unix -o Makefile qdacco.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
conf.pri:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile qdacco.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qdacco1.0.0 || $(MKDIR) .tmp/qdacco1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qdacco1.0.0/ && $(COPY_FILE) --parents configure.h main.h StructureParser.h StructureList.h worddata.h about.h suggeriment.h connection.h auxiliar.h textbrowser.h auxiliar.h mylineedit.h mylistwidget.h .tmp/qdacco1.0.0/ && $(COPY_FILE) --parents icons.qrc translation.qrc .tmp/qdacco1.0.0/ && $(COPY_FILE) --parents configure.cpp main.cpp qdacco.cpp StructureParser.cpp StructureList.cpp worddata.cpp about.cpp suggeriment.cpp connection.cpp auxiliar.cpp mylineedit.cpp mylistwidget.cpp .tmp/qdacco1.0.0/ && $(COPY_FILE) --parents configure.ui main.ui about.ui suggeriment.ui .tmp/qdacco1.0.0/ && $(COPY_FILE) --parents qdacco_ca.ts .tmp/qdacco1.0.0/ && (cd `dirname .tmp/qdacco1.0.0` && $(TAR) qdacco1.0.0.tar qdacco1.0.0 && $(COMPRESS) qdacco1.0.0.tar) && $(MOVE) `dirname .tmp/qdacco1.0.0`/qdacco1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qdacco1.0.0


yaccclean:
lexclean:
clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


/usr/bin/moc-qt4:
	(cd $(QTDIR)/src/tools/moc && $(MAKE))

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_configure.cpp moc_main.cpp moc_about.cpp moc_suggeriment.cpp moc_connection.cpp moc_textbrowser.cpp moc_mylineedit.cpp moc_mylistwidget.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_configure.cpp moc_main.cpp moc_about.cpp moc_suggeriment.cpp moc_connection.cpp moc_textbrowser.cpp moc_mylineedit.cpp moc_mylistwidget.cpp
moc_configure.cpp: ui_configure.h \
		auxiliar.h \
		configure.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) configure.h -o moc_configure.cpp

moc_main.cpp: ui_main.h \
		configure.h \
		ui_configure.h \
		auxiliar.h \
		about.h \
		ui_about.h \
		suggeriment.h \
		ui_suggeriment.h \
		connection.h \
		textbrowser.h \
		StructureList.h \
		worddata.h \
		main.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) main.h -o moc_main.cpp

moc_about.cpp: ui_about.h \
		about.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) about.h -o moc_about.cpp

moc_suggeriment.cpp: ui_suggeriment.h \
		suggeriment.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) suggeriment.h -o moc_suggeriment.cpp

moc_connection.cpp: auxiliar.h \
		connection.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) connection.h -o moc_connection.cpp

moc_textbrowser.cpp: auxiliar.h \
		textbrowser.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) textbrowser.h -o moc_textbrowser.cpp

moc_mylineedit.cpp: auxiliar.h \
		mylineedit.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) mylineedit.h -o moc_mylineedit.cpp

moc_mylistwidget.cpp: auxiliar.h \
		mylistwidget.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) mylistwidget.h -o moc_mylistwidget.cpp

compiler_rcc_make_all: qrc_icons.cpp qrc_translation.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_icons.cpp qrc_translation.cpp
qrc_icons.cpp: icons.qrc \
		/usr/bin/rcc \
		icons/button_ok.png \
		icons/find.png \
		icons/button_cancel.png \
		icons/close.png \
		icons/exit.png \
		icons/qdacco.png \
		icons/configure.png \
		icons/fileopen.png \
		icons/switch2.png \
		icons/editpaste.png \
		icons/editcopy.png \
		icons/help.png
	/usr/bin/rcc -name icons icons.qrc -o qrc_icons.cpp

qrc_translation.cpp: translation.qrc \
		/usr/bin/rcc \
		qdacco_ca.qm
	/usr/bin/rcc -name translation translation.qrc -o qrc_translation.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_configure.h ui_main.h ui_about.h ui_suggeriment.h
compiler_uic_clean:
	-$(DEL_FILE) ui_configure.h ui_main.h ui_about.h ui_suggeriment.h
ui_configure.h: configure.ui
	/usr/bin/uic-qt4 configure.ui -o ui_configure.h

ui_main.h: main.ui \
		StructureParser.h \
		textbrowser.h \
		mylineedit.h \
		mylistwidget.h \
		worddata.h \
		auxiliar.h \
		auxiliar.h \
		auxiliar.h \
		auxiliar.h
	/usr/bin/uic-qt4 main.ui -o ui_main.h

ui_about.h: about.ui
	/usr/bin/uic-qt4 about.ui -o ui_about.h

ui_suggeriment.h: suggeriment.ui
	/usr/bin/uic-qt4 suggeriment.ui -o ui_suggeriment.h

compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_image_collection_clean compiler_moc_source_clean compiler_uic_clean 

####### Compile

configure.o: configure.cpp configure.h \
		ui_configure.h \
		auxiliar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o configure.o configure.cpp

main.o: main.cpp main.h \
		ui_main.h \
		configure.h \
		ui_configure.h \
		auxiliar.h \
		about.h \
		ui_about.h \
		suggeriment.h \
		ui_suggeriment.h \
		connection.h \
		textbrowser.h \
		StructureList.h \
		worddata.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

qdacco.o: qdacco.cpp main.h \
		ui_main.h \
		configure.h \
		ui_configure.h \
		auxiliar.h \
		about.h \
		ui_about.h \
		suggeriment.h \
		ui_suggeriment.h \
		connection.h \
		textbrowser.h \
		StructureList.h \
		worddata.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qdacco.o qdacco.cpp

StructureParser.o: StructureParser.cpp StructureParser.h \
		worddata.h \
		auxiliar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o StructureParser.o StructureParser.cpp

StructureList.o: StructureList.cpp StructureList.h \
		worddata.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o StructureList.o StructureList.cpp

worddata.o: worddata.cpp worddata.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o worddata.o worddata.cpp

about.o: about.cpp about.h \
		ui_about.h \
		auxiliar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o about.o about.cpp

suggeriment.o: suggeriment.cpp suggeriment.h \
		ui_suggeriment.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o suggeriment.o suggeriment.cpp

connection.o: connection.cpp connection.h \
		auxiliar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o connection.o connection.cpp

auxiliar.o: auxiliar.cpp auxiliar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o auxiliar.o auxiliar.cpp

mylineedit.o: mylineedit.cpp mylineedit.h \
		auxiliar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mylineedit.o mylineedit.cpp

mylistwidget.o: mylistwidget.cpp mylistwidget.h \
		auxiliar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mylistwidget.o mylistwidget.cpp
