## qdacco 0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 PROJECT(qdacco)
 CMAKE_MINIMUM_REQUIRED(VERSION 2.4.5)
 
-SET( QDACCO_VERSION 0.7.0 )
+SET( QDACCO_VERSION 0.8.0 )
 #a--> 1, b-->2, ....d-->4
 
 STRING( REGEX MATCHALL "[0-9]+" QDACCO_VERSIONS ${QDACCO_VERSION} )
