=== gui/CMakeLists.txt ===
--- 
+++ 
@@ -3,20 +3,20 @@
 ###########################################
 
 set (qdaccogui_SRC configure.cpp main.cpp
-	   qdacco.cpp about.cpp
-	   suggeriment.cpp 
-	   mylineedit.cpp 
-	   mylistwidget.cpp auxiliargui.cpp connection.cpp)
+	   qdacco.cpp about.cpp suggeriment.cpp mylineedit.cpp 
+	   mylistwidget.cpp auxiliargui.cpp connection.cpp oneinstance.cpp
+	   trayicon.cpp loadconfig.cpp)
 
 set (qdaccogui_MOCS configure.h main.h 
-	   about.h suggeriment.h 
-	   textbrowser.h mylineedit.h 
-	   mylistwidget.h auxiliargui.h connection.h)
+	   about.h suggeriment.h textbrowser.h mylineedit.h 
+	   mylistwidget.h auxiliargui.h connection.h oneinstance.h
+	   trayicon.h loadconfig.h)
 
 set (qdaccogui_UIS configure.ui main.ui about.ui suggeriment.ui)
 
 set(QT_USE_QTXML true)
 set(QT_USE_QTNETWORK true) 
+set(QT_USE_QTDBUS true) 
 
 INCLUDE(   ${QT_USE_FILE}   )
 
@@ -38,6 +38,11 @@
 
 QT4_ADD_RESOURCES(qdaccogui_RCC_SRCS ${qdaccogui_RCCS})
 
+# Suggeriment CMake 2.6
+if(COMMAND cmake_policy)
+    cmake_policy(SET CMP0003 NEW)
+endif(COMMAND cmake_policy)
+
 
 #ADD_DEFINITIONS(${QT_DEFINITIONS})
 #ADD_DEFINITIONS(-DQT_SHARED)
