=== text/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 set(QT_USE_QTXML true)
 set(QT_DONT_USE_QTGUI true)
-set(QT_DONT_USE_QTNETWORKtrue)
+set(QT_DONT_USE_QTNETWORK true)
 
 INCLUDE(   ${QT_USE_FILE}   )
 
@@ -32,6 +32,12 @@
 
 #QT4_ADD_RESOURCES(plugin_RCC_SRCS ${plugin_RCCS})
 
+# Suggeriment CMake 2.6
+if(COMMAND cmake_policy)
+   cmake_policy(SET CMP0003 NEW)
+endif(COMMAND cmake_policy)
+
+
 
 #ADD_DEFINITIONS(${QT_DEFINITIONS})
 #ADD_DEFINITIONS(-DQT_SHARED)
