=== gui/CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,15 @@
 
 set (qdaccogui_SRC configure.cpp main.cpp
 	   qdacco.cpp about.cpp suggeriment.cpp mylineedit.cpp 
-	   mylistwidget.cpp auxiliargui.cpp connection.cpp oneinstance.cpp
+	   mylistwidget.cpp AuxiliarGUI.cpp connection.cpp oneinstance.cpp
 	   trayicon.cpp loadconfig.cpp)
 
 set (qdaccogui_MOCS configure.h main.h 
 	   about.h suggeriment.h textbrowser.h mylineedit.h 
-	   mylistwidget.h auxiliargui.h connection.h oneinstance.h
+	   mylistwidget.h connection.h oneinstance.h
 	   trayicon.h loadconfig.h)
+
+set (qdaccogui_H AuxiliarGUI.h)
 
 set (qdaccogui_UIS configure.ui main.ui about.ui suggeriment.ui)
 
@@ -43,13 +45,17 @@
     cmake_policy(SET CMP0003 NEW)
 endif(COMMAND cmake_policy)
 
+configure_file(
+	CMakeOptions.h.cmake
+	CMakeOptions.h
+)
 
 #ADD_DEFINITIONS(${QT_DEFINITIONS})
 #ADD_DEFINITIONS(-DQT_SHARED)
 # build sources, moc'd sources, and rcc'd sources
 # # generate rules for building source files from the resources
 # build sources, moc'd sources, and rcc'd sources
-add_executable(qdacco  ${qdaccogui_MOCS} ${qdaccogui_MOC_SRCS} ${qdaccogui_UIS_H}
+add_executable(qdacco  ${qdaccogui_H} ${qdaccogui_MOCS} ${qdaccogui_MOC_SRCS} ${qdaccogui_UIS_H}
 	${qdaccogui_SRC} ${qdaccogui_SRCS} ${qdaccogui_RCC_SRCS})
 
 target_link_libraries( qdacco qdaccolib ${QT_LIBRARIES})
