=== text/CMakeLists.txt ===
--- 
+++ 
@@ -3,10 +3,9 @@
 ###########################################
 
 set (textqdacco_SRC textdacco.cpp)
+set(textqdacco_H textdacco.h)
 #file(GLOB textqdacco_MOCS *.hpp *.h)
 #file(GLOB textqdacco_UIS *.ui)
-
-set(textqdacco_MOCS textdacco.h)
 
 set(QT_USE_QTXML true)
 set(QT_DONT_USE_QTGUI true)
@@ -28,7 +27,7 @@
 
 # generate rules for building source files that moc generates
 #QT4_WRAP_UI(textqdacco_UIS_H ${textqdacco_UIS})
-QT4_WRAP_CPP(textqdacco_MOC_SRCS ${textqdacco_MOCS})
+#QT4_WRAP_CPP(textqdacco_MOC_SRCS ${textqdacco_MOCS})
 
 #QT4_ADD_RESOURCES(plugin_RCC_SRCS ${plugin_RCCS})
 
@@ -44,7 +43,7 @@
 # build sources, moc'd sources, and rcc'd sources
 # # generate rules for building source files from the resources
 # build sources, moc'd sources, and rcc'd sources
-add_executable(textqdacco   ${textqdacco_MOCS} ${textqdacco_MOC_SRCS} ${textqdacco_UIS_H}
+add_executable(textqdacco  ${textqdacco_H} ${textqdacco_MOCS} ${textqdacco_MOC_SRCS} ${textqdacco_UIS_H}
 	${textqdacco_SRC} ${textqdacco_SRCS} )
 
 target_link_libraries( textqdacco qdaccolib ${QT_LIBRARIES})
