=== debian/changelog ===
qdacco (0.8.2-1ubuntu1) precise; urgency=low

  * Updated debian/libqdaccolib0.7.symbols to fix FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 02 Mar 2012 13:04:59 -0500

qdacco (0.8.2-1) unstable; urgency=low

  * Reintroduces the package in Debian (Closes: #620706).
  * New mantainer.
  * Update to format 3.0.
  * Update to dephelper 7.0.
  * Upadte to Standards-Version 3.9.1.
  * Update to compat level 7.
  * Change debian/rules file to dh $@.
  * Update debian/control file.
  * Update debian/copyright file format.
  * Add debian/watch file.
  * Add debian/manpages file.
  * Remove docbook-to-man build dependence.
  * Add debian/libqdaccolib0.7.symbols file.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Thu, 14 Jul 2011 16:21:15 +0200

qdacco (0.8-2) unstable; urgency=low

  * Added versioned build depend for cmake (>= 2.6.0) in order to
  avoid FTBFS in hppa

 -- Miguel Gea Milvaques <xerakko@debian.org>  Thu, 24 Jul 2008 23:06:30 +0200

qdacco (0.8-1) unstable; urgency=low

  * New upstream release 

 -- Miguel Gea Milvaques <xerakko@debian.org>  Wed, 09 Jul 2008 20:06:32 +0200

qdacco (0.7-2) unstable; urgency=low

  * Added include to avoid FTBFS with g++ 4.3 ( Closes: #466968 ). Thanks to
    Cyril Brulebois

 -- Miguel Gea Milvaques <xerakko@debian.org>  Wed, 27 Feb 2008 21:28:43 +0100

qdacco (0.7-1) unstable; urgency=low

  * New upstream release.
  * Package split: qdacco, libqdacco-dev and libqdacco0.7-dev. Now,
    it contains a new library and text only version.
  * Moved license to gpl-3 or later.

 -- Miguel Gea Milvaques <xerakko@debian.org>  Fri, 08 Feb 2008 18:45:33 +0100

qdacco (0.6d-3) unstable; urgency=low

  * Modifictions in rules in order to build twice in a row
  * Changed Apps to Applications in menu file

 -- Miguel Gea Milvaques <xerakko@debian.org>  Thu, 06 Sep 2007 20:40:53 +0200

qdacco (0.6d-2) unstable; urgency=low

  * Subst make clean with rm in rules to avoid FTBFS in hppa. 

 -- Miguel Gea Milvaques <xerakko@debian.org>  Tue, 07 Aug 2007 11:42:51 +0200

qdacco (0.6d-1) unstable; urgency=low

  * New upstream release
  * Added desktop file (Closes: #428290)
  * Lintian clean (subst of -make clean in rules file)

 -- Miguel Gea Milvaques <xerakko@debian.org>  Mon, 06 Aug 2007 12:17:18 +0200

qdacco (0.6c-1) unstable; urgency=low

  * New upstream release
  * Added Suggests: festival.

 -- Miguel Gea Milvaques <xerakko@debian.org>  Mon, 30 Apr 2007 20:14:57 +0200

qdacco (0.5d-1) unstable; urgency=low

  * New upstream release

 -- Miguel Gea Milvaques <xerakko@debian.org>  Fri, 10 Nov 2006 22:11:15 +0100

qdacco (0.5c-1) unstable; urgency=medium

  * New upstream release. Closes: #391913 (FTBFS)

 -- Miguel Gea Milvaques <xerakko@debian.org>  Tue, 10 Oct 2006 00:07:11 +0200

qdacco (0.5b-1) unstable; urgency=low

  * New upstream release

 -- Miguel Gea Milvaques <xerakko@debian.org>  Mon,  9 Oct 2006 19:10:36 +0200

qdacco (0.5a-1) unstable; urgency=low

  * New upstream release

 -- Miguel Gea Milvaques <xerakko@debian.org>  Sun,  8 Oct 2006 20:41:20 +0200

qdacco (0.5-1) unstable; urgency=low

  * New upstream release

 -- Miguel Gea Milvaques <xerakko@debian.org>  Fri,  6 Oct 2006 09:51:34 +0200

qdacco (0.4-3) unstable; urgency=low

  * Remove FTBFS with gcc 4.1 (Thanks to Martin Michlmayr) Closes: #361331 

 -- Miguel Gea Milvaques <xerakko@debian.org>  Sat, 20 May 2006 01:07:26 +0200

qdacco (0.4-2) unstable; urgency=low

  * Changed qdacco menu icon. 

 -- Miguel Gea Milvaques <xerakko@debian.org>  Sat, 22 Apr 2006 21:11:29 +0200

qdacco (0.4-1) unstable; urgency=low

  * New upstream release

 -- Miguel Gea Milvaques <xerakko@debian.org>  Wed, 12 Apr 2006 23:06:06 +0200

qdacco (0.3a-1) unstable; urgency=low

  * Initial release Closes: #345023 

 -- Miguel Gea Milvaques <debian@miguelgea.com>  Thu, 19 Jan 2006 15:54:06 +0100
