=== debian/control ===
Source: qdacco
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
Build-Depends: debhelper (>= 7.0), libqt4-dev, libglib2.0-dev,cmake (>=2.6.0)
Standards-Version: 3.9.2
Homepage: http://sourceforge.net/project/showfiles.php?group_id=80666 

Package: qdacco
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dacco-common
Suggests: festival
Description: offline Dacco Catalan <-> English dictionary frontend (qt)
 Dacco is a free Catalan-English dictionary. It gives two versions, one
 qt based and other text based. Both are frontends to use the dacco
 dictionary.

Package: libqdaccolib-dev
Section: libdevel
Architecture: any
Depends: libqdaccolib0.7 (= ${binary:Version}), ${misc:Depends}
Description: library for facilitate access to dacco dictionary (devel)
 Dacco is a free Catalan-English dictionary and libqdaccolib is a library to
 facilitate its integration in applications. 
 .
 This package contains the files needed for development.

Package: libqdaccolib0.7
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for facilitate access to dacco dictionary (runtime)
 Dacco is a free Catalan-English dictionary and libqdaccolib is a library to
 facilitate its integration in applications. 
 .
 This package contains the runtime files.
