=== debian/watch ===
# watch control file for uscan
version=3
http://sf.net/dacco/qdacco-(.*)\.tar \.gz debian uupdate
