## qdacco 0.8.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,10 @@
  ########## Project setup ##########
 PROJECT(qdacco)
-CMAKE_MINIMUM_REQUIRED(VERSION 2.4.5)
+CMAKE_MINIMUM_REQUIRED(VERSION 2.8.11)
+set(CMAKE_AUTOMOC ON)
+set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-SET( QDACCO_VERSION 0.8.2 )
+SET( QDACCO_VERSION 0.8.5 )
 
 STRING( REGEX MATCHALL "[0-9]+" QDACCO_VERSIONS ${QDACCO_VERSION} )
 LIST( GET QDACCO_VERSIONS 0 QDACCO_VERSION_MAJOR)
@@ -34,20 +36,19 @@
 #IF (APPLE)
 #	SET(QT_QMAKE_EXECUTABLE "/opt/local/bin/qmake-mac")
 #ENDIF (APPLE)
-find_package(Qt4 REQUIRED) 
+find_package(Qt5Core REQUIRED)
+find_package(Qt5Gui REQUIRED) 
+find_package(Qt5Network REQUIRED) 
+find_package(Qt5Xml REQUIRED) 
+find_package(Qt5Widgets REQUIRED)
 
-########### qdacco lib ##########
-message(STATUS "Working on qdacco lib")
-add_subdirectory(lib)
+include_directories(${Qt5Widgets_INCLUDES} ${Qt5Xml_INCLUDES})
+add_definitions(${Qt5Widgets_DEFINITIONS} ${Qt5Xml_DEFINITIONS})
 
 ########### qdacco gui ##########
 message(STATUS "Working on qdacco gui")
 add_subdirectory(gui)
 
-########### qdacco text ##########
-message(STATUS "Working on qdacco text")
-add_subdirectory(text)
-
 ########### cpack capabilites ##########
 INCLUDE(CPack)
