=== debian/changelog ===
qdacco (0.8.5-1) unstable; urgency=low

   * New upstream version.
     + Update Build-Depends to qtbase5-dev (ported to Qt5).
   * The libqdaccolib0.7 package is no longer compiled:
     + Update debian/control file: remove
     lib package information.
     + Removed unnecessary *lib files from debian directory.
   * Change homepage URL to GitHub.
   * Update years in debian/copyright file.
   * Update debian/watch file for GitHub.
   * Update Standards-Version (4.0.0) field in debian/control file.
   * Remove unnecessary patch (Incorporated in the sources 
     of the new version).
   * Update to compat level 10 (no changes required).

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sun, 18 Jun 2017 17:26:14 +0200

qdacco (0.8.2-2) unstable; urgency=low

   * Update to Standards-Version 3.9.8:
     - Update to debhelper 9.0: add build dependencies
       in debian/control.
     - Update debian/compat file to 9.
     - Update debian/copyright head.
   * Add the hardering flags to debian/rules.
     - Add dpkg-dev in build depends field in debian/control.
   * Add section field for libqdaccolib0.7 package in debian/control.
   * Remove debian/menu file by the tech-ctte decision on #741573.
   * Update years in debian/copyright file.
   * Update debian/watch file.
   * Update debian/libqdaccolib0.7.symbols file (LP: #935394).
   * Add Keywords field in desktop file (whit .pacht file).
   * Add Vcs fields in debian/control.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sat, 07 May 2016 18:35:48 +0200
