=== debian/control ===
Source: qdacco
Section: text
Priority: optional
Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
Build-Depends: debhelper (>= 10), qtbase5-dev (>= 5.5.1), libglib2.0-dev, cmake, dpkg-dev (>= 1.16.9)
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/qdacco.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/qdacco.git
Homepage: https://github.com/cpina/qdacco 

Package: qdacco
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dacco-common
Suggests: festival
Description: offline Dacco Catalan <-> English dictionary frontend (qt)
 Dacco is a free Catalan-English dictionary. It gives two versions, one
 qt based and other text based. Both are frontends to use the dacco
 dictionary.
