=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,11 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
+DPKG_EXPORT_BUILDFLAGS = 1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+include /usr/share/dpkg/buildflags.mk
 CFLAGS = -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
