=== debian/watch ===
# watch control file for uscan
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/qdacco-$1\.tar\.gz/ \
  https://github.com/cpina/qdacco/tags .*/v?(\d\S+)\.tar\.gz
